<?php
/**
 * The template for displaying the header
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<title><?php wp_title(''); ?></title>
	<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
	<link rel="stylesheet" type="text/css" href="<?php echo get_stylesheet_uri(); ?>">
</head>

<body <?php body_class(); ?>>
<header>
	<nav class="navbar navbar-default" role="navigation">
		<div class="container">
			<div class="navbar-header">
  			<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
				<a class="navbar-brand" href="<?php echo site_url(); ?>">
  				<?php 
        		$image = get_field('main_logo', 'option'); 
        	?>
        	<img src="<?php echo $image['url']; ?>" alt="<?php echo $image['alt']; ?>"/>
  		</a>
			</div>
			<div>
				
				<?php

  			$defaults = array(
  				'theme_location'  	=> 'main-menu',
  				'menu'            	=> 'main-menu',
  				'container'       	=> 'div',
  				'container_class'		=> 'collapse navbar-collapse',
					'container_id'    	=> 'navbar',
  				'fallback_cb'	  	  => false, 	
  				'menu_class'      	=> 'nav navbar-nav navbar-right',
  				'echo'            	=> true,
  				'items_wrap'      	=> '<ul id="%1$s" class="%2$s">%3$s</ul>',
  				'depth'           	=> 0,
  			);
  			
  			wp_nav_menu( $defaults );
  			
  			?>				
  			
			</div>
		</div>
	</nav>
</header>
